<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title> My Calculator </title>
    <style>
        form, div
        {
            width: 500px;
            padding: 50px 0 50px 80px;
            margin: auto;
            background-color: darkcyan;
        }
    </style>
</head>
<body>
<form action="#">
    <label for="number1">Enter Number One:</label><br>
    <input type="text" id="number1" name="number1" value=""><br>
    <label for="number2">Enter Number Two:</label><br>
    <input type="text" id="number2" name="number2" value=""><br>
    <button type="button" onclick="additionBy()">Add</button>
    <button type="button" onclick="subtractionBy()">Sub</button>

</form>
<div id="result"></div>
<script>
    function additionBy()
    {

       var num1 = document.getElementById("number1").value;
       var num2 = document.getElementById("number2").value;
        document.getElementById("result").innerHTML = Number(num1) + Number(num2);
    }

    function subtractionBy(){
      var  num1 = document.getElementById("number1").value;
        var num2 = document.getElementById("number2").value;
        document.getElementById("result").innerHTML = Number(num1) - Number(num2);
    }
    </script>
</body>
</html>